#
# Default Bacula Storage Daemon Configuration file
#
#  For Bacula release 9.0.3 (08 August 2017) -- redhat (Core)
#
# You may need to change the name of your tape drive
#   on the "Archive Device" directive in the Device
#   resource.  If you change the Name and/or the
#   "Media Type" in the Device resource, please ensure
#   that dird.conf has corresponding changes.
#
#
# Copyright (C) 2000-2017 Kern Sibbald
# License: BSD 2-Clause; see file LICENSE-FOSS
#

Storage { 
  Name = File 
  SDAddresses = { ip = { 
    addr = {{ ansible_eth1.ipv4.address }}; 
    port = 9103; 
      }
    }
  WorkingDirectory = /var/spool/bacula
  Pid Directory = /var/run
}

#
# List Directors who are permitted to contact Storage daemon
#
Director {
  Name = "{{ ansible_fqdn }}"
  Password = "{{ bacula_sd_passwd }}"
}

Device {
  Name = FileStorage
  Media Type = File
  Archive Device = "{{ bacula_drive }}"
  LabelMedia = yes
  Random Access = yes
  AutomaticMount = yes
  RemovableMedia = no
  AlwaysOpen = no
  Maximum Concurrent Jobs = 1
}

#
# Send all messages to the Director,
# mount messages also are sent to the email address
#
Messages {
  Name = Standard
  director = bacula-dir = all
}
